---
import { getCollection } from 'astro:content';
import BaseLayout from '../layouts/BaseLayout.astro';
import BlogCard from '../components/BlogCard.astro';

const posts = await getCollection("posts");
const allPosts = posts.sort(
    (a, b) => {
        return (a.data.pubDate > b.data.pubDate) ? -1 : 1
    }
);
---
<BaseLayout>
    {
      allPosts.map((post) =>
        <BlogCard post = {post} />
      )
    }
</BaseLayout>

